package com.iamberry.wechat.core.entity.agentInfo;

import java.util.Date;

/**
 * 代理订单项类
 * Created by liuzhiwei on 2017/10/11.
 */
public class AgentOrderItem implements java.io.Serializable{

    private static final long serialVersionUID = 8254500140389491883L;
    private Integer itemId;                 //订单条目id
    private String agentOrderid;            //所属订单
    private Integer productId;              //购物商品id
    private Integer colorId;                //产品颜色id
    private Integer productType;            //产品类型id
    private Integer itemNum;                //商品数量
    private Integer itemTotal;              //小结
    private Date itemCreateDate;            //创建时间
    private String itemProductName;         //商品名称
    private String itemColorName;           //商品颜色
    private Integer itemProductDiscount;    //商品优惠价
    private Integer itemProductPrice;       //商品原价
    private String itemProductPic;          //介绍图

    private Integer productRentType;        //销售类型

    public Integer getItemId() {
        return itemId;
    }

    public void setItemId(Integer itemId) {
        this.itemId = itemId;
    }

    public Integer getProductId() {
        return productId;
    }

    public void setProductId(Integer productId) {
        this.productId = productId;
    }

    public Integer getColorId() {
        return colorId;
    }

    public void setColorId(Integer colorId) {
        this.colorId = colorId;
    }

    public Integer getProductType() {
        return productType;
    }

    public void setProductType(Integer productType) {
        this.productType = productType;
    }

    public Integer getItemNum() {
        return itemNum;
    }

    public void setItemNum(Integer itemNum) {
        this.itemNum = itemNum;
    }

    public Integer getItemTotal() {
        return itemTotal;
    }

    public void setItemTotal(Integer itemTotal) {
        this.itemTotal = itemTotal;
    }

    public Date getItemCreateDate() {
        return itemCreateDate;
    }

    public void setItemCreateDate(Date itemCreateDate) {
        this.itemCreateDate = itemCreateDate;
    }

    public String getItemProductName() {
        return itemProductName;
    }

    public void setItemProductName(String itemProductName) {
        this.itemProductName = itemProductName;
    }

    public String getItemColorName() {
        return itemColorName;
    }

    public void setItemColorName(String itemColorName) {
        this.itemColorName = itemColorName;
    }

    public Integer getItemProductDiscount() {
        return itemProductDiscount;
    }

    public void setItemProductDiscount(Integer itemProductDiscount) {
        this.itemProductDiscount = itemProductDiscount;
    }

    public Integer getItemProductPrice() {
        return itemProductPrice;
    }

    public void setItemProductPrice(Integer itemProductPrice) {
        this.itemProductPrice = itemProductPrice;
    }

    public String getItemProductPic() {
        return itemProductPic;
    }

    public void setItemProductPic(String itemProductPic) {
        this.itemProductPic = itemProductPic;
    }

    public String getAgentOrderid() {
        return agentOrderid;
    }

    public void setAgentOrderid(String agentOrderid) {
        this.agentOrderid = agentOrderid;
    }

    public Integer getProductRentType() {
        return productRentType;
    }

    public void setProductRentType(Integer productRentType) {
        this.productRentType = productRentType;
    }
}
